body {
    margin: 0px;
    /*background-color: rgb(243, 240, 225);*/

    background: linear-gradient(
        to bottom, 
        rgb(243, 240, 225) 0%, 
        rgb(243, 240, 225) 90%, 
        #927A58 90%, 
        #927A58 100%
    );

    font-family: "Roboto", sans-serif;
    font-optical-sizing: auto;
    font-weight: 500;
    font-style: normal;
    font-variation-settings: "wdth" 100;

    text-align: center;
}

nav {
    width: 100%;
    box-shadow: 0px 0px 20px 5px black;
    position: absolute;
    top: 0;
    z-index: 10;
    background-color: rgb(243, 240, 225);
    font-size: 0px;
    text-align: left;
}

nav ul {
    list-style: none;
    margin: 0px;
    padding: 0px;
    text-align: center;
}

nav ul li {
    display: inline-block;
}

nav ul a {
    text-transform: uppercase;
    display: inline-block;
    line-height: 80px;
    padding: 0px 64px;
    cursor: pointer;
    font-size: 1.2rem;
    text-decoration: none;
    color: #4E3A22;
}

#slider {
    margin-top: 0px;
    position: relative;
    z-index: 0;
}

.here, nav ul a:hover {
    background-color: rgb(236, 223, 207);
    color: #927A58;
}

#crop {
    overflow: hidden;
    margin-top: 80px;
    text-align: center;
    width: 100%;
    display: inline-block;
}

#crop img {
    width: 100%;
}

#crop video {
    display: inline-block;
    width: 100%;
}

.splide__slide {
    text-align: center;
}

#menusmall {
    display: none;
}

.splide__arrow {
    height: 25px;
    width: 25px;
}

.splide__arrow svg {
    height: 16px;
    width: 16px;
}

.splide__pagination {
    margin-bottom: 10px;
}

.splide__pagination__page {
    width: 10px;
    height: 10px;
}

.splide__arrow--prev {
    left: 5px;
}

.splide__arrow--next {
    right: 5px;
}

main {
    text-align: center;
    max-width: 1900px;
    display: inline-block;
    margin-top: 100px;
    font-size: 0px;
}

.card {
    border-radius: 25px;
    width: calc(33.33% - 50px);
    max-width: 550px;
    text-align: center;
    padding-top: 25px;
    display: inline-block;
    color: #4E3A22;
    vertical-align: top;
    margin: 10px;
    box-sizing: border-box;
}

.novinka {
    border-radius: 25px;
    text-align: left;
    padding: 35px;
    display: inline-block;
    margin: 25px;
    margin-bottom: 0px;
    color: #4E3A22;
}

.novinka img {
    width: 50%;
    height: auto;
    aspect-ratio: 1/1;
    display: inline-block;
    border-radius: 20px;
    object-fit: cover;
    object-position: center center;
}

.novinka div {
    width: 50%;
    display: inline-block;
    vertical-align: top;
    padding: 20px;
    box-sizing: border-box;
    text-align: center;
    padding-top: 10%;
}

.novinka h2 {
    font-size: 3rem;
}

.novinka h4 {
    font-size: 2rem;
    text-decoration: underline;
}

.novinka:nth-of-type(4n+1) {
    border: purple 5px solid;
}

.novinka:nth-of-type(4n+2) {
    border: lightblue 5px solid;
}

.novinka:nth-of-type(4n+3) {
    border: lightgreen 5px solid;
}

.novinka:nth-of-type(4n+4) {
    border: orange 5px solid;
}

.card:nth-of-type(4n+1) {
    border: purple 5px solid;
}

.card:nth-of-type(4n+2) {
    border: lightblue 5px solid;
}

.card:nth-of-type(4n+3) {
    border: lightgreen 5px solid;
}

.card:nth-of-type(4n+4) {
    border: orange 5px solid;
}

.card img {
    border-radius: 20px;
    width: 90%;

    aspect-ratio: 1 / 1;
    height: auto;
    margin: 0px;
    object-fit: cover;
    object-position: center center;
}

.card h2 {
    margin: 0px;
    padding: 25px;
    font-size: 2rem;
    box-sizing: border-box;
    height: 6rem;
}

p {
    font-size: 1.5rem;
}

main {
    width: 100%;
}

form {
    display: inline-block;
    width: 80%;
    margin-top: 60px;
}

input, textarea {
    outline: none;
    border-radius: 50px;
    margin-top: 25px;
    display: block;
    width: 100%;
    box-sizing: border-box;
    font-size: 32px;
    padding: 20px;
}

button {
    text-transform: uppercase;
    font-size: 32px;
    width: 100%;
    margin-top: 25px;
    background-color: orange;
    color: white;
    border: none;
    height: 89px;
    border-radius: 50px;
    cursor: pointer;
}

body.modal-open {
  overflow: hidden;
}

#modal {
    display: none;
    position: fixed;
    height: 100%;
    width: 100%;
    top: 0;
    left: 0;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 11;
    text-align: center;
} 

#modal ul {
    text-align: left;
} 

#modal > div {
    display: inline-block;
    box-sizing: border-box;
    /*position: absolute;
    width: 90vw;
    top: 5vh;
    left: 5vw;*/
    background-color: rgb(243, 240, 225);
    z-index: 11;
    border-radius: 25px;
    margin: 5vh;
}

#modal > div > div {
    overflow-y: auto;
    max-height: 30vh;
    margin: 0px 25px;
    padding: 5px;
    overscroll-behavior: contain;
}

#modal img {
    margin-top: 15px;
    width: 50%;
    max-width: 30vh;
    aspect-ratio: 1 / 1;
    height: auto;
    object-fit: cover;
    object-position: center center;
    border-radius: 15px;
}

#modal p {
    font-size: 1rem;
}

#modal #x {
   position: absolute;
   top: 10px;
   right: 10px;
}

footer {
    margin-top: 50px;
    padding-top: 50px;
    background-color: #927A58;
    color: white;
    min-height: 50vh;
}

footer div {
    height: 100px;
}

footer img {
    width: 100%;
}

#main-kontakt {
    width: 50%;
}

main h3 {
    font-size: 2rem;
    color: #4E3A22;
}

h4 {
    font-size: 1.5rem;
    color: #4E3A22;
}

h5 {
    font-size: 1.5rem;
    color: #4E3A22;
    margin: 0;
}

ul, ol {
    font-size: 1rem;
    color: #4E3A22;
}

ul {
    text-align: left;
}

ol {
    text-align: center;
    list-style-type: none;
}

form p {
    color: #4E3A22;
}

label {
    display: inline;
    font-size: 16px;
    color: #4E3A22;
}

input[type="checkbox"] {
    display: inline;
    width: auto;
}

@media (max-width: 1450px) {
    nav ul a {
        line-height: 50px;
        padding: 0px 40px;
        font-size: 0.75rem;
    }

    #crop {
        margin-top: 50px;
    }

    main {
        margin-top: 50px;
    }

    .novinka h2 {
        font-size: 2rem;
    }

    .novinka h4 {
        font-size: 1.5rem;
    }

    .card h2 {
        margin: 0px;
        padding: 25px;
        font-size: 1rem;
        box-sizing: border-box;
        height: 6rem;
    }
}

/* Mobile 600 */
@media (max-width: 900px) {
    #menubig {
        display: none;
        position: absolute;
        width: 50%;
        top: 50px;
        height: calc(100vh - 50px);
        background-color: #927A58;
    }

    #menubig li, #menubig li a {
        display: block;
        width: 100%;
        padding: 0px;
    }

    #menusmall {
        height: 42px;
        width: 42px;
        margin: 4px;
        display: block;
    }

    nav {
        height: 50px;
    }

    .card {
        width: calc(33.33% - 6px);
        margin: 3px;
        padding: 0px;
        box-sizing: border-box;
    }

    .card img {
        width: 100%;
    }

    .card h2 {
        padding: 5px;
        font-size: 1rem;
        padding-top: 20px;
    }

    .card p {
        font-size: 0.75rem;
    }

    main {
        font-size: 0px;
        margin-top: 55px;
    }

    .novinka {
        margin: 5px;
    }
    
    .novinka h2 {
        font-size: 1rem;
    }

    .novinka h4 {
        font-size: 1rem;
    }

    #main-kontakt {
        width: 100%;
    }
}

@media (max-width: 600px) {
    .card h2 {
        padding: 5px;
        font-size: 0.8rem;
        padding-top: 20px;
    }

    .novinka h2 {
        font-size: 0.8rem;
    }

    .novinka h4 {
        font-size: 0.8rem;
    }

    /*.card {
        width: calc(100% - 50px);
        margin-bottom: 0px;
        margin-top: 12.5px;
    }

    .card img {
        width: calc(100% - 50px);
        height: calc(100% - 50px);
    }*/
}